/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEBUGGER_INFO_H__
#define __DEBUGGER_INFO_H__

#include <glib.h>

typedef struct debugger_info_s *debugger_info_h;

GList *_debugger_info_load(const char *path);
void _debugger_info_unload(GList *info);
debugger_info_h _debugger_info_find(GList *info_list, const char *name);
const char *_debugger_info_get_exe(debugger_info_h info);
GList *_debugger_info_get_extra_key_list(debugger_info_h info);
GList *_debugger_info_get_extra_env_list(debugger_info_h info);
GList *_debugger_info_get_unlink_list(debugger_info_h info);
const char *_debugger_info_get_attach(debugger_info_h info);
GList *_debugger_info_get_last_extra_key_list(debugger_info_h info);
GList *_debugger_info_get_default_opt_list(debugger_info_h info);

#endif /* __DEBUGGER_INFO_H__ */
