/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LAUNCHPAD_TYPES_H__
#define __LAUNCHPAD_TYPES_H__

#ifdef __cplusplus
extern "C" {
#endif

#define SOCKET_PATH "/run/aul"
#define LAUNCHPAD_LOADER_SOCKET_NAME ".launchpad-type"
#define HYDRA_LOADER_SOCKET_NAME ".hydra-loader"
#define CONNECT_RETRY_TIME (100 * 1000)
#define CONNECT_RETRY_COUNT 3

typedef enum loader_arg {
	LOADER_ARG_PATH,
	LOADER_ARG_TYPE,
	LOADER_ARG_ID,
	LOADER_ARG_HYDRA,
	LOADER_ARG_EXTRA,
	LOADER_ARG_DUMMY,
} loader_arg_e;

typedef enum hydra_cmd {
	LAUNCH_CANDIDATE,
} hydra_cmd_e;

#ifdef __cplusplus
}
#endif

#endif /* __LAUNCHPAD_TYPES_H__ */

