Name:       launchpad
Summary:    Launchpad for launching applications
Version:    0.10.0
Release:    1
Group:      Application Framework/Daemons
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source101:  launchpad-process-pool.service
Source102:  launchpad-process-pool.socket


BuildRequires:  cmake
BuildRequires:  pkgconfig(bundle)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(buxton2)
BuildRequires:  pkgconfig(security-manager)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(ttrace)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(tanchor)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(iniparser)

Requires(post): /sbin/ldconfig
Requires(post): /usr/bin/systemctl
Requires(postun): /sbin/ldconfig
Requires(postun): /usr/bin/systemctl
Requires(preun): /usr/bin/systemctl

Provides: app-launchpad
Obsoletes: amd-mod-launchpad

%define tizen_feature_priority_change 0
%define tizen_feature_loader_priority 0
%ifarch armv7l i586
%define tizen_arch32 1
%else
%define tizen_arch32 0
%endif

%description
Launchpad for launching applications

%package devel
Summary:    Launchpad for launching applications (devel)
Group:      Development/Libraries
Requires:   liblaunchpad = %{version}-%{release}

%description devel
Launchpad for launching applications (devel)

%package -n launchpad-loader
Summary:    Launchpad-Loader for launching applications
Group:      Application Framework/Application Launcher

%description -n launchpad-loader
Launchpad-Loader for launching applications

%package -n liblaunchpad
Summary:    Launchpad library
Group:      Development/Libraries

%description -n liblaunchpad
Launchpad library

%package -n liblaunchpad-devel
Summary:    Launchpad library (devel)
Group:      Development/Libraries
Requires:   liblaunchpad = %{version}-%{release}

%description -n liblaunchpad-devel
Launchpad library (devel)

%prep
%setup -q

%build
%if 0%{?sec_build_binary_debug_enable}
export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE"
export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE"
%endif
%if 0%{?tizen_feature_priority_change}
_TIZEN_FEATURE_PRIORITY_CHANGE=ON
%endif
%if 0%{?tizen_feature_loader_priority}
_TIZEN_FEATURE_LOADER_PRIORITY=ON
%endif
%if 0%{?tizen_arch32}
_TIZEN_FEATURE_SET_PERSONALITY_32=ON
%endif

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake -DVERSION=%{version} \
	-DMAJORVER=${MAJORVER} \
	-D_TIZEN_FEATURE_PRIORITY_CHANGE:BOOL=${_TIZEN_FEATURE_PRIORITY_CHANGE} \
	-D_TIZEN_FEATURE_LOADER_PRIORITY:BOOL=${_TIZEN_FEATURE_LOADER_PRIORITY} \
	-D_TIZEN_FEATURE_SET_PERSONALITY_32:BOOL=${_TIZEN_FEATURE_SET_PERSONALITY_32} \
	.
%__make %{?_smp_mflags}

%install
rm -rf %{buildroot}

%make_install
mkdir -p %{buildroot}%{_unitdir_user}/basic.target.wants
mkdir -p %{buildroot}%{_unitdir_user}/sockets.target.wants
install -m 0644 %SOURCE101 %{buildroot}%{_unitdir_user}/launchpad-process-pool.service
install -m 0644 %SOURCE102 %{buildroot}%{_unitdir_user}/launchpad-process-pool.socket
ln -sf ../launchpad-process-pool.socket %{buildroot}%{_unitdir_user}/sockets.target.wants/launchpad-process-pool.socket
ln -sf ../launchpad-process-pool.service %{buildroot}%{_unitdir_user}/basic.target.wants/launchpad-process-pool.service

%post

%files
%manifest launchpad.manifest
%license LICENSE
%{_prefix}/share/aul/default.debugger
%{_unitdir_user}/launchpad-process-pool.service
%{_unitdir_user}/launchpad-process-pool.socket
%{_unitdir_user}/sockets.target.wants/launchpad-process-pool.socket
%{_unitdir_user}/basic.target.wants/launchpad-process-pool.service
%{_bindir}/launchpad-process-pool
%{_prefix}/share/aul/launchpad.conf

%files devel
%{_includedir}/launchpad/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/launchpad.pc

%files -n launchpad-loader
%manifest launchpad-loader.manifest
%license LICENSE
%{_prefix}/share/aul/default.loader
%{_bindir}/launchpad-loader

%files -n liblaunchpad
%manifest liblaunchpad.manifest
%license LICENSE
%attr(0644,root,root) %{_libdir}/liblaunchpad.so.*
%attr(0644,root,root) %{_libdir}/liblaunchpad-hydra.so.*

%files -n liblaunchpad-devel
%{_includedir}/launchpad/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/liblaunchpad.pc
%{_libdir}/pkgconfig/liblaunchpad-hydra.pc

